Olá,

Caso o problema persista após o upgrade do gnome, certifique-se se as
bibliotecas existem, muitas das veses o que acontece é que o programa espera
por uma bilbioteca de versão diferente da que você tem, muitos desses podem
ser resolvidos com links simbólicos, (cuidado, isso não é uma regra) por
exemplo (só exemplo mesmo, não sei se neste caso daria ou não problema), se
o programa acusar a falta de libpthread.so.1 e no seu sistema tem o
libpthread.so.2 crie um link da 1 para a 2, é óbvio que o ideal é usar a
versão do programa compatível com o  a do FreeBSD. Outra possibilidade é o
sistema não estar atualizado (imagino que não seja isso) de qualquer forma,
se não funcionar tente atualizar o src do Free.

Já tive alguns problemas de biblioteca do 6.0 com os ports atualizados da
versão 6.0-R também, usei links simbólicos para resolve-los, desejo resaltar
aqui que podem ocorrer erros inesperados com esta técnica, pois pode haver
determinada função (ou mesmo ter mas com nome diferente) em biblioteca de
versões distintas.

Abraços,
Marcelo.

Em 02/12/05, Alexandre Vasconcelos <[EMAIL PROTECTED]> escreveu:
>
> JC Júnior escreveu:
> > fala pessoal;
> >    Seguinte...instalei o fbsd 6.0 e comecei a aprender a atualizar coisa
> > e tal...configurei os supfile para o sistema e o ports (pelo menos foi
> > assim que entendi) atualizei os mesmos  e segui os passos que tem no
> > handbook (make buildworld make build kernel)  até ai ok...tudo funcionou
> > bem (para o meu espanto), soh que depois de ler mais algumas coisas
> > instalei o portupgrade pensando em fazer o upgrade dos pacotes, como a
> > máquina eh meio lenta para compilações (PIII 1.0), instalei algumas
> > coisas sem compilar (pkg_add -vr gaim por exemplo), isso parece que deu
> > algum problema na base de dados dos pkgs mesmo com os programas
> > instalados funcionando direito, recuperei a base (ou pelo menos acho que
> > fiz isso) com pkgdb -ufF,  mas ai começou o inferno..nesse momento a
> > maquina tah lah atualizando um monte de coisas (inclusive o gnome
> > todo)... soh que coisas como o firefox e o gaim não estão funcionando
> > dizendo que faltam libs (alguma coisa relacionada a /libexec/ que é um
> > diretorio que eu naum sei bem o que tem dentro)...será que eh por q
> > ainda está atualizando??? ou eh melhor eu começar a me preocupar...pois
> > enquanto isso a maquina fica lá inutilizada, tenho medo de estar
> > perdendo meu tempo aqui...alguém tem uma luz????
>
> Cara, a atualização do gnome não deve ser feita apenas com o portupgrade
> (apesar do script de atualização utilizá-lo), acesse:
> http://www.freebsd.org/gnome
> Veja o tópico "Upgrading to Gnome 2.12?" leia a FAQ e execute o script
> para atualizar seu gnome. Depois disso execute um portupgrade -a
> periodicamente para manter seus programas atualizados.. é p procedimento
> que eu uso desde o gnome 2.6..
>
> --
> Alexandre Vasconcelos
> Unix Admin
> SSP/GO
> ----------------------------------------------------------
> If you choose not to decide, you still have made a choice.
> ----------------------------------------------------------
>
> _______________________________________________
> Freebsd mailing list
> Freebsd@fug.com.br
> http://mail.fug.com.br/mailman/listinfo/freebsd_fug.com.br
>
_______________________________________________
Freebsd mailing list
Freebsd@fug.com.br
http://mail.fug.com.br/mailman/listinfo/freebsd_fug.com.br

Responder a